POST /katello/api/flatpak_remote_repositories/657037483/mirror
{
"product_name": "Empty Product",
"flatpak_remote_repository": {}
}
400
{
"message": "Organization must be specified when providing product by name.",
"errors": [
"Organization must be specified when providing product by name."
]
}
| Param name | Description |
|---|---|
|
id
required |
Flatpak remote repository numeric identifier Validations:
|
|
product_id
optional |
Product ID to mirror the remote repository to Validations:
|
|
product_name
optional |
Name of the product to mirror the remote repository to Validations:
|
|
organization_id
optional |
organization identifier Validations:
|
|
dependency_ids
optional |
Array of dependency repository IDs to mirror along with the main repository Validations:
|